## mwparserfromhell 0.4.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mwparserfromhell.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mwparserfromhell.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mwparserfromhell"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mwparserfromhell"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## mwparserfromhell 0.5.1

=== debian/changelog ===
mwparserfromhell (0.5.1-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:53:56 +0000

mwparserfromhell (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Make the build reproducible, thanks to Reiner Herrmann.
    (Closes: #842628)
  * Take over as maintainer from Yuvi
  * Explicitly use 3.0 (quilt) format
  * Enable autopkgtest-pkg-python
  * Remove bogus description from source package stanza in d/control
  * Update d/copyright for new upstream release
  * Make short descriptions indicate the Python version each is for
  * Standards-Version: 4.1.3, no changes needed
  * Add Vcs-* fields to d/control

 -- Kunal Mehta <legoktm@member.fsf.org>  Fri, 09 Mar 2018 13:56:43 -0800

mwparserfromhell (0.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rationalize python related build-depends to build for all supported
    versions (Closes: #809466)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 30 Dec 2015 21:10:15 +0000

mwparserfromhell (0.4.2-1) sid; urgency=medium

  * Initial version of the package
  * Closes: 756888

 -- Yuvi Panda <yuvipanda@riseup.net>  Fri, 07 Aug 2015 18:16:37 -0700

=== debian/control ===
Source: mwparserfromhell
Maintainer: Kunal Mehta <legoktm@member.fsf.org>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-all-dev, python-setuptools, python-all-dev, debhelper (>= 9), dh-python
Homepage: https://github.com/earwig/mwparserfromhell
Vcs-Git: https://salsa.debian.org/legoktm-guest/mwparserfromhell.git
Vcs-Browser: https://salsa.debian.org/legoktm-guest/mwparserfromhell
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-python

Package: python3-mwparserfromhell
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Outrageously powerful parser for MediaWiki wikicode (Python 3)
 mwparserfromhell is a pure-Python parser (with optional C speedup) for
 MediaWiki wikicode. It allows parsing and manipulation of complex
 structures like nested templates, tables, and much more.
 .
 Documentation at https://mwparserfromhell.readthedocs.org/
 .
 This is the Python 3 version.

Package: python-mwparserfromhell
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Outrageously powerful parser for MediaWiki wikicode (Python 2)
 mwparserfromhell is a pure-Python parser (with optional C speedup) for
 MediaWiki wikicode. It allows parsing and manipulation of complex
 structures like nested templates, tables, and much more.
 .
 Documentation at https://mwparserfromhell.readthedocs.org/
 .
 This is the Python 2 version.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

## mwparserfromhell 0.5.2

=== debian/changelog ===
mwparserfromhell (0.5.2-2) unstable; urgency=medium

  * Configure Salsa-Pipeline
  * Enable hardening flags
  * Standards-Version: 4.3.0, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Fri, 01 Mar 2019 20:34:19 +0000

mwparserfromhell (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Update Vcs-* URLs for packaging repository move

 -- Kunal Mehta <legoktm@debian.org>  Mon, 05 Nov 2018 16:45:47 -0800

mwparserfromhell (0.5.1-2) unstable; urgency=medium

  * Run testsuite as part of autopkgtest
  * Set Rules-Requires-Root: no
  * Standards-Version: 4.2.1, no changes
  * Use debhelper 11

 -- Kunal Mehta <legoktm@debian.org>  Mon, 01 Oct 2018 11:23:31 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mwparserfromhell
-Maintainer: Kunal Mehta <legoktm@member.fsf.org>
+Maintainer: Kunal Mehta <legoktm@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python3-setuptools, python3-all-dev, python-setuptools, python-all-dev, debhelper (>= 9), dh-python
+Build-Depends: python3-setuptools, python3-all-dev, python-setuptools, python-all-dev, debhelper (>= 11), dh-python
 Homepage: https://github.com/earwig/mwparserfromhell
-Vcs-Git: https://salsa.debian.org/legoktm-guest/mwparserfromhell.git
-Vcs-Browser: https://salsa.debian.org/legoktm-guest/mwparserfromhell
-Standards-Version: 4.1.3
-Testsuite: autopkgtest-pkg-python
+Vcs-Git: https://salsa.debian.org/legoktm/mwparserfromhell.git
+Vcs-Browser: https://salsa.debian.org/legoktm/mwparserfromhell
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 
 Package: python3-mwparserfromhell
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: NOWEB=1 python2 -m unittest discover -v
Depends: python-mwparserfromhell
Restrictions: allow-stderr

Test-Command: NOWEB=1 python3 -m unittest -v
Depends: python3-mwparserfromhell
Restrictions: allow-stderr

## mwparserfromhell 0.5.4

=== debian/changelog ===
mwparserfromhell (0.5.4-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:02 +0100

mwparserfromhell (0.5.4-2) unstable; urgency=medium

  * Drop Python 2 support (Closes: #937095)

 -- Kunal Mehta <legoktm@debian.org>  Sun, 13 Oct 2019 01:25:56 -0700

mwparserfromhell (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4

 -- Kunal Mehta <legoktm@debian.org>  Tue, 09 Jul 2019 01:14:04 +0000

mwparserfromhell (0.5.3-1) experimental; urgency=medium

  * New upstream version 0.5.3

 -- Kunal Mehta <legoktm@debian.org>  Fri, 05 Apr 2019 07:22:40 +0000

=== debian/control ===
Source: mwparserfromhell
Maintainer: Kunal Mehta <legoktm@debian.org>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-all-dev, debhelper (>= 11), dh-python
Homepage: https://github.com/earwig/mwparserfromhell
Vcs-Git: https://salsa.debian.org/legoktm/mwparserfromhell.git
Vcs-Browser: https://salsa.debian.org/legoktm/mwparserfromhell
Standards-Version: 4.4.1
Rules-Requires-Root: no

Package: python3-mwparserfromhell
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Outrageously powerful parser for MediaWiki wikicode (Python 3)
 mwparserfromhell is a pure-Python parser (with optional C speedup) for
 MediaWiki wikicode. It allows parsing and manipulation of complex
 structures like nested templates, tables, and much more.
 .
 Documentation at https://mwparserfromhell.readthedocs.org/

=== debian/tests/control ===
Test-Command: NOWEB=1 python3 -m unittest -v
Depends: python3-mwparserfromhell
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mwparserfromhell-$1\.tar\.gz/ \
  https://github.com/earwig/mwparserfromhell/tags .*/v?(\d\S*)\.tar\.gz

## mwparserfromhell 0.6

=== debian/changelog ===
mwparserfromhell (0.6-1) unstable; urgency=medium

  * New upstream version 0.6
  * Have autopkgtest run against all supported Python 3 versions
  * Bump debhelper compat from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * d/watch: Switch to version=4

 -- Kunal Mehta <legoktm@debian.org>  Mon, 21 Dec 2020 10:13:17 -0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Kunal Mehta <legoktm@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python3-setuptools, python3-all-dev, debhelper (>= 11), dh-python
+Build-Depends: python3-setuptools, python3-all-dev, debhelper-compat (= 13), dh-python
 Homepage: https://github.com/earwig/mwparserfromhell
 Vcs-Git: https://salsa.debian.org/legoktm/mwparserfromhell.git
 Vcs-Browser: https://salsa.debian.org/legoktm/mwparserfromhell
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 
 Package: python3-mwparserfromhell

=== debian/tests/control ===
Tests: unittest
Depends: python3-all, python3-mwparserfromhell
Restrictions: allow-stderr

## mwparserfromhell 0.6.3

=== debian/changelog ===
mwparserfromhell (0.6.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:30:23 +0000

mwparserfromhell (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3, should fix build failure on s390x
    and other big endian architectures.

 -- Kunal Mehta <legoktm@debian.org>  Fri, 03 Sep 2021 17:14:40 -0700

mwparserfromhell (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2

 -- Kunal Mehta <legoktm@debian.org>  Fri, 20 Aug 2021 23:10:33 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Kunal Mehta <legoktm@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python3-setuptools, python3-all-dev, debhelper-compat (= 13), dh-python
+Build-Depends: python3-setuptools, python3-all-dev, debhelper-compat (= 13), dh-python, python3-pytest
 Homepage: https://github.com/earwig/mwparserfromhell
 Vcs-Git: https://salsa.debian.org/legoktm/mwparserfromhell.git
 Vcs-Browser: https://salsa.debian.org/legoktm/mwparserfromhell

=== debian/tests/control ===
Tests: unittest
Depends: python3-all, python3-pytest, python3-mwparserfromhell
Restrictions: allow-stderr

## mwparserfromhell 0.6.4

=== debian/changelog ===
mwparserfromhell (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4

 -- Kunal Mehta <legoktm@debian.org>  Wed, 11 May 2022 00:47:20 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: https://github.com/earwig/mwparserfromhell
 Vcs-Git: https://salsa.debian.org/legoktm/mwparserfromhell.git
 Vcs-Browser: https://salsa.debian.org/legoktm/mwparserfromhell
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 
 Package: python3-mwparserfromhell

## mwparserfromhell 0.6.5

=== debian/changelog ===
mwparserfromhell (0.6.5-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:14:08 +0000

mwparserfromhell (0.6.5-2) unstable; urgency=medium

  * Cherry-pick upstream patch for Python 3.12 support
    (Closes: #1055565, #1057401)

 -- Kunal Mehta <legoktm@debian.org>  Mon, 20 Nov 2023 13:11:01 -0500

mwparserfromhell (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5

 -- Kunal Mehta <legoktm@debian.org>  Fri, 08 Sep 2023 17:10:08 +0530

## mwparserfromhell 0.6.6

=== debian/changelog ===
mwparserfromhell (0.6.6-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:29:43 +0000

mwparserfromhell (0.6.6-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:33:51 +0000

mwparserfromhell (0.6.6-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:58:40 +0100

mwparserfromhell (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6

 -- Kunal Mehta <legoktm@debian.org>  Sat, 23 Mar 2024 20:49:49 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: https://github.com/earwig/mwparserfromhell
 Vcs-Git: https://salsa.debian.org/legoktm/mwparserfromhell.git
 Vcs-Browser: https://salsa.debian.org/legoktm/mwparserfromhell
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: python3-mwparserfromhell

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mwparserfromhell-$1\.tar\.gz/ \
  https://github.com/earwig/mwparserfromhell/tags .*/v?(\d\S*)\.tar\.gz
